CollectionWrapper (Neo4j - Graph Database Kernel Distribution 1.1 API)
Keywords: org.neo4j.helpers.collection.CollectionWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers.collection
Class CollectionWrapper<T,U>

    java.lang.Object
      org.neo4j.helpers.collection.CollectionWrapper<T,U>

Type Parameters:
  `T` - the type of items
  `U` - the type of items of the underlying/wrapped collection

All Implemented Interfaces:
  Iterable<T>, Collection<T>

    public abstract class CollectionWrapper<T,U>

extends Object
implements Collection<T>

Wraps a `Collection`, making it look (and function) like a collection holding another type of items. The wrapper delegates to its underlying collection instead of keeping track of the items itself.

Constructor Summary
`CollectionWrapper(Collection<U> underlyingCollection)`

Method Summary
`boolean` | `add(T o)`
`boolean` | `addAll(Collection c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection c)`
`protected Collection<U>` | `convertCollection(Collection c)`
`boolean` | `isEmpty()`
`Iterator<T>` | `iterator()`
`protected abstract U` | `objectToUnderlyingObject(T object)`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`int` | `size()`
`Object[]` | `toArray()`
`
`<R> R[]`
` | `toArray(R[] a)`
`protected abstract T` | `underlyingObjectToObject(U object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### CollectionWrapper

    public CollectionWrapper(Collection<U> underlyingCollection)

Method Detail

### objectToUnderlyingObject

    protected abstract U objectToUnderlyingObject(T object)

### underlyingObjectToObject

    protected abstract T underlyingObjectToObject(U object)

### add

    public boolean add(T o)

  Specified by:
    `add` in interface `Collection<T>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<T>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<T>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<T>`

### iterator

    public Iterator<T> iterator()

  Specified by:
    `iterator` in interface `Iterable<T>`
  Specified by:
    `iterator` in interface `Collection<T>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<T>`

### size

    public int size()

  Specified by:
    `size` in interface `Collection<T>`

### convertCollection

    protected Collection<U> convertCollection(Collection c)

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Collection<T>`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Collection<T>`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Collection<T>`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Collection<T>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<T>`

### toArray

    public <R> R[] toArray(R[] a)

  Specified by:
    `toArray` in interface `Collection<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.